package com.sunyard.ssp.common.constant;

/**
 * 常量
 * @author Exrickx
 */
public interface CommonConstant {

    /**
     * 用户默认头像
     */
    String USER_DEFAULT_AVATAR = "https://s1.ax1x.com/2018/05/19/CcdVQP.png";

    /**
     * 用户正常状态
     */
    Integer USER_STATUS_NORMAL = 0;

    /**
     * 用户禁用状态
     */
    Integer USER_STATUS_LOCK = -1;

    /**
     * 普通用户
     */
    Integer USER_TYPE_NORMAL = 0;

    /**
     * 极光聊天状态
     */
    Integer USER_JMESSAGE_NORMAL = 0;

    /**
     * 管理员
     */
    Integer USER_TYPE_ADMIN = 1;

    /**
     * 全部数据权限
     */
    Integer DATA_TYPE_ALL = 0;

    /**
     * 自定义数据权限
     */
    Integer DATA_TYPE_CUSTOM = 1;

    /**
     * 正常状态
     */
    Integer STATUS_NORMAL = 0;

    /**
     * 禁用状态
     */
    Integer STATUS_DISABLE = -1;

    /**
     * 删除标志
     */
    Integer DEL_FLAG = 1;

    /**
     * 限流标识
     */
    String LIMIT_ALL = "KEEPER_LIMIT_ALL";

    /**
     * 页面类型权限
     */
    Integer PERMISSION_PAGE = 0;

    /**
     * 操作类型权限
     */
    Integer PERMISSION_OPERATION = 1;

    /**
     * 1级菜单父id
     */
    Long PARENT_ID = 0L;

    /**
     * 1级菜单父title
     */
    String PARENT_TITLE = "一级节点";

    /**
     * 默认分类redis缓存key
     */
    String DEFAULT_CATEGORY_REDIS_KEY = "actCategory:userDefaultCateGory:";

    /**
     * 事务审批title
     */
    String DEFAULT_CATEGORY_BUSINESS_TITLE = "事务审批";

    /**
     * 事务审批id
     */
    String DEFAULT_CATEGORY_BUSINESS_ID = "1";

    /**
     * 支付审批title
     */
    String DEFAULT_CATEGORY_PAYMENT_TITLE = "支付审批";

    /**
     * 支付审批id
     */
    String DEFAULT_CATEGORY_PAYMENT_ID = "2";
    /**
     * 1级菜单
     */
    Integer LEVEL_ONE = 1;

    /**
     * 2级菜单
     */
    Integer LEVEL_TWO = 2;

    /**
     * 3级菜单
     */
    Integer LEVEL_THREE = 3;

    /**
     * 消息发送范围
     */
    Integer MESSAGE_RANGE_ALL = 0;

    /**
     * 未读
     */
    Integer MESSAGE_STATUS_UNREAD = 0;

    /**
     * 已读
     */
    Integer MESSAGE_STATUS_READ = 1;

    /**
     * github登录
     */
    Integer SOCIAL_TYPE_GITHUB = 0;

    /**
     * qq登录
     */
    Integer SOCIAL_TYPE_QQ = 1;

    /**
     * 微博登录
     */
    Integer SOCIAL_TYPE_WEIBO = 2;

    /**
     * 短信验证码key前缀
     */
    String PRE_SMS = "KEEPER_PRE_SMS:";

    /**
     * 邮件验证码key前缀
     */
    String PRE_EMAIL = "KEEPER_PRE_EMAIL:";

    /**
     * 本地文件存储
     */
    Integer OSS_LOCAL = 0;

    /**
     * 七牛云OSS存储
     */
    Integer OSS_QINIU = 1;

    /**
     * 阿里云OSS存储
     */
    Integer OSS_ALI = 2;

    /**
     * 腾讯云COS存储
     */
    Integer OSS_TENCENT = 3;

    /**
     * 部门负责人类型 主负责人
     */
    Integer HEADER_TYPE_MAIN = 0;

    /**
     * 部门负责人类型 副负责人
     */
    Integer HEADER_TYPE_VICE = 1;

    /**
     * 部门负责人类型 不是负责人
     */
    Integer HEADER_TYPE_NONE = -1;

    /**
     * 邮箱字段隐藏时显示的值
     */
    String HIDE_EMAIL_STR = "******@***.com";

    /**
     * 手机字段隐藏时显示的值
     */
    String HIDE_MOBILE_STR = "****";

    String PATH_SEPARATOR = "/";

    Long DEPARTMENT_ROOT_ID = 0L;

    Long DEFAULT_USER_ROOT_ID = 1L;

    /**
     * @author wp
     * @Description:盐值位数
     * @date 2021/12/16
     * @param null
     * @return
     */
    Integer SALT_NUMBER =10;
}
